import { KNativePointer } from "../../src/reexport-for-generated";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { TypeNode } from "./TypeNode";
export declare class ETSUndefinedType extends TypeNode {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static createETSUndefinedType(): ETSUndefinedType;
    static updateETSUndefinedType(original?: ETSUndefinedType): ETSUndefinedType;
    protected readonly brandETSUndefinedType: undefined;
}
export declare function isETSUndefinedType(node: object | undefined): node is ETSUndefinedType;
